### Function

# GdkPixbuf.PixbufAnimation.new_from_stream_async

#### Declaration [src]

    void
    gdk_pixbuf_animation_new_from_stream_async (
      GInputStream* stream,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Creates a new animation by asynchronously loading an image from an input stream.

For more details see `gdk_pixbuf_new_from_stream()`, which is the synchronous version of this function.

When the operation is finished, `callback` will be called in the main thread. You can then call `gdk_pixbuf_animation_new_from_stream_finish()` to get the result of the operation.

#### Parameters

`stream` | `GInputStream*`
| a `GInputStream` from which to load the animation
| Ownership is not transferred to the callee
`cancellable` | `GCancellable*`
| optional `GCancellable` object
| Can be `NULL`
| Ownership is not transferred to the callee
`callback` | `GAsyncReadyCallback`
| a `GAsyncReadyCallback` to call when the pixbuf is loaded
`user_data` | `gpointer`
| the data to pass to the callback function